package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.DepartmentSuperviseAddCmd;
import com.zcloud.basic.info.dto.DepartmentSupervisePageQry;
import com.zcloud.basic.info.dto.DepartmentSuperviseUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.DepartmentSuperviseCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-11-10 14:13:46
 */
public interface DepartmentSuperviseServiceI {
    PageResponse<DepartmentSuperviseCO> listPage(DepartmentSupervisePageQry qry);

    SingleResponse<DepartmentSuperviseCO> add(DepartmentSuperviseAddCmd cmd);

    void edit(DepartmentSuperviseUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

